'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeAfter = toBeAfter;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, received, after) => () =>
  utils.matcherHint('.not.toBeAfter', 'received', '') +
  '\n\n' +
  `Expected date to be after ${utils.printReceived(after)} but received:\n` +
  `  ${utils.printReceived(received)}`;

const failMessage = (utils, received, after) => () =>
  utils.matcherHint('.toBeAfter', 'received', '') +
  '\n\n' +
  `Expected date to be after ${utils.printReceived(after)} but received:\n` +
  `  ${utils.printReceived(received)}`;

function toBeAfter(date, after) {
  const pass = (0, _predicate.default)(date, after);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, date, after),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, date, after),
  };
}
