'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeArrayOfSize = toBeArrayOfSize;

var _utils = require('../../utils');

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, actual, expected) => () =>
  `${utils.matcherHint('.not.toBeArrayOfSize')}

Expected value to not be an array of size:
  ${utils.printExpected(expected)}
Received:
  value: ${utils.printReceived(actual)}
  length: ${utils.printReceived((0, _utils.determinePropertyMessage)(actual, 'length'))}`;

const failMessage = (utils, actual, expected) => () =>
  `${utils.matcherHint('.toBeArrayOfSize')}

Expected value to be an array of size:
  ${utils.printExpected(expected)}
Received:
  value: ${utils.printReceived(actual)}
  length: ${utils.printReceived((0, _utils.determinePropertyMessage)(actual, 'length'))}`;

function toBeArrayOfSize(actual, expected) {
  const pass = (0, _predicate.default)(actual, expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, actual, expected),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, actual, expected),
  };
}
