'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeBeforeOrEqualTo = toBeBeforeOrEqualTo;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, received, before) => () =>
  utils.matcherHint('.not.toBeBeforeOrEqualTo', 'received', '') +
  '\n\n' +
  `Expected date to be before or equal to ${utils.printReceived(before)} but received:\n` +
  `  ${utils.printReceived(received)}`;

const failMessage = (utils, received, before) => () =>
  utils.matcherHint('.toBeBeforeOrEqualTo', 'received', '') +
  '\n\n' +
  `Expected date to be before or equal to ${utils.printReceived(before)} but received:\n` +
  `  ${utils.printReceived(received)}`;

function toBeBeforeOrEqualTo(date, before) {
  const pass = (0, _predicate.default)(date, before);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, date, before),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, date, before),
  };
}
