'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeBetween = toBeBetween;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, received, startDate, endDate) => () =>
  utils.matcherHint('.not.toBeBetween', 'received', '') +
  '\n\n' +
  `Expected date to be between ${utils.printReceived(startDate)} and ${utils.printReceived(endDate)} but received:\n` +
  `  ${utils.printReceived(received)}`;

const failMessage = (utils, received, startDate, endDate) => () =>
  utils.matcherHint('.toBeBetween', 'received', '') +
  '\n\n' +
  `Expected date to be between ${utils.printReceived(startDate)} and ${utils.printReceived(endDate)} but received:\n` +
  `  ${utils.printReceived(received)}`;

function toBeBetween(date, startDate, endDate) {
  const pass = (0, _predicate.default)(date, startDate, endDate);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, date, startDate, endDate),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, date, startDate, endDate),
  };
}
