'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeBoolean = toBeBoolean;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, received) => () =>
  utils.matcherHint('.not.toBeBoolean', 'received', '') +
  '\n\n' +
  'Expected value to not be of type boolean, received:\n' +
  `  ${utils.printReceived(received)}`;

const failMessage = (utils, received) => () =>
  utils.matcherHint('.toBeBoolean', 'received', '') +
  '\n\n' +
  'Expected value to be of type boolean, received:\n' +
  `  ${utils.printReceived(received)}`;

function toBeBoolean(received) {
  const pass = (0, _predicate.default)(received);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, received),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, received),
  };
}
