'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeExtensible = toBeExtensible;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, received) => () => {
  return (
    utils.matcherHint('.not.toBeExtensible', 'received', '') +
    '\n\n' +
    'Expected value to not be extensible received:\n' +
    `  ${utils.printExpected(received)}\n`
  );
};

const failMessage = (utils, received) => () => {
  return (
    utils.matcherHint('.toBeExtensible', 'received', '') +
    '\n\n' +
    'Expected value to be extensible received:\n' +
    `  ${utils.printReceived(received)}`
  );
};

function toBeExtensible(expected) {
  const pass = (0, _predicate.default)(expected);
  return {
    pass,
    message: pass ? passMessage(this.utils, expected) : failMessage(this.utils, expected),
  };
}
