'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeFrozen = toBeFrozen;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = utils => () =>
  utils.matcherHint('.not.toBeFrozen', 'received', '') + '\n\n' + 'Expected object to not be frozen';

const failMessage = utils => () =>
  utils.matcherHint('.toBeFrozen', 'received', '') + '\n\n' + 'Expected object to be frozen';

function toBeFrozen(expected) {
  const pass = (0, _predicate.default)(expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils),
  };
}
