'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeNil = toBeNil;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, received) => () =>
  utils.matcherHint('.not.toBeNil', 'received', '') +
  '\n\n' +
  'Expected value not to be null or undefined, received:\n' +
  `  ${utils.printReceived(received)}`;

const failMessage = (utils, received) => () =>
  utils.matcherHint('.toBeNil', 'received', '') +
  '\n\n' +
  'Expected value to be null or undefined, received:\n' +
  `  ${utils.printReceived(received)}`;

function toBeNil(received) {
  const pass = (0, _predicate.default)(received);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, received),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, received),
  };
}
