'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeObject = toBeObject;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, received) => () =>
  utils.matcherHint('.not.toBeObject', 'received', '') +
  '\n\n' +
  'Expected value to not be an object, received:\n' +
  `  ${utils.printReceived(received)}`;

const failMessage = (utils, received) => () =>
  utils.matcherHint('.toBeObject', 'received', '') +
  '\n\n' +
  'Expected value to be an object, received:\n' +
  `  ${utils.printReceived(received)}`;

function toBeObject(expected) {
  const pass = (0, _predicate.default)(expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, expected),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, expected),
  };
}
