'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeOneOf = toBeOneOf;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, item, list) => () =>
  utils.matcherHint('.not.toBeOneOf', 'item', 'list') +
  '\n\n' +
  'Expected value to not be in list:\n' +
  `  ${utils.printExpected(list)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(item)}`;

const failMessage = (utils, item, list) => () =>
  utils.matcherHint('.toBeOneOf', 'item', 'list') +
  '\n\n' +
  'Expected value to be in list:\n' +
  `  ${utils.printExpected(list)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(item)}`;

function toBeOneOf(item, list) {
  const pass = (0, _predicate.default)(this.equals, item, list);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, item, list),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, item, list),
  };
}
