'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeSealed = toBeSealed;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = utils => () =>
  utils.matcherHint('.not.toBeSealed', 'received', '') + '\n\nExpected object to be not sealed';

const failMessage = utils => () =>
  utils.matcherHint('.toBeSealed', 'received', '') + '\n\nExpected object to not sealed';

function toBeSealed(expected) {
  const pass = (0, _predicate.default)(expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils),
  };
}
