'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeString = toBeString;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, received) => () =>
  utils.matcherHint('.not.toBeString', 'received', '') +
  '\n\n' +
  'Expected value to not be of type string received:\n' +
  `  ${utils.printReceived(received)}`;

const failMessage = (utils, received) => () =>
  utils.matcherHint('.toBeString', 'received', '') +
  '\n\n' +
  'Expected value to be of type string:\n' +
  `  ${utils.printExpected('type of string')}\n` +
  'Received:\n' +
  `  ${utils.printReceived(typeof received)}`;

function toBeString(expected) {
  const pass = (0, _predicate.default)(expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, expected),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, expected),
  };
}
