'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toBeWithin = toBeWithin;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, number, start, end) => () =>
  utils.matcherHint('.not.toBeWithin') +
  '\n\n' +
  'Expected number to not be within start (inclusive) and end (exclusive):\n' +
  `  start: ${utils.printExpected(start)}  end: ${utils.printExpected(end)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(number)}`;

const failMessage = (utils, number, start, end) => () =>
  utils.matcherHint('.toBeWithin') +
  '\n\n' +
  'Expected number to be within start (inclusive) and end (exclusive):\n' +
  `  start: ${utils.printExpected(start)}  end: ${utils.printExpected(end)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(number)}`;

function toBeWithin(number, start, end) {
  const pass = (0, _predicate.default)(number, start, end);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, number, start, end),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, number, start, end),
  };
}
