'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toContainAllKeys = toContainAllKeys;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.not.toContainAllKeys') +
  '\n\n' +
  'Expected object to not contain all keys:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(Object.keys(actual))}`;

const failMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.toContainAllKeys') +
  '\n\n' +
  'Expected object to contain all keys:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(Object.keys(actual))}`;

function toContainAllKeys(actual, expected) {
  const pass = (0, _predicate.default)(this.equals, actual, expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, actual, expected),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, actual, expected),
  };
}
