'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toContainAnyEntries = toContainAnyEntries;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, object, entries) => () =>
  utils.matcherHint('.not.toContainAnyEntries') +
  '\n\n' +
  'Expected object to not contain any of the provided entries:\n' +
  `  ${utils.printExpected(entries)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(object)}`;

const failMessage = (utils, object, entries) => () =>
  utils.matcherHint('.toContainAnyEntries') +
  '\n\n' +
  'Expected object to contain any of the provided entries:\n' +
  `  ${utils.printExpected(entries)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(object)}`;

function toContainAnyEntries(object, entries) {
  const pass = (0, _predicate.default)(this.equals, object, entries);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, object, entries),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, object, entries),
  };
}
