'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toContainAnyKeys = toContainAnyKeys;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.not.toContainAnyKeys') +
  '\n\n' +
  'Expected object not to contain any of the following keys:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

const failMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.toContainValue') +
  '\n\n' +
  'Expected object to contain any of the following keys:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

function toContainAnyKeys(actual, expected) {
  const pass = (0, _predicate.default)(actual, expected);
  return {
    pass: pass,
    message: pass ? passMessage(this.utils, actual, expected) : failMessage(this.utils, actual, expected),
  };
}
