'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toContainEntries = toContainEntries;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.not.toContainEntries') +
  '\n\n' +
  'Expected object to not contain all of the given entries:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

const failMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.toContainEntries') +
  '\n\n' +
  'Expected object to contain all of the given entries:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

function toContainEntries(actual, expected) {
  const pass = (0, _predicate.default)(this.equals, actual, expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, actual, expected),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, actual, expected),
  };
}
