'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toEndWith = toEndWith;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, suffix, string) => () =>
  utils.matcherHint('.not.toEndWith') +
  '\n\n' +
  'Expected string to not end with:\n' +
  `  ${utils.printExpected(suffix)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(string)}`;

const failMessage = (utils, suffix, string) => () =>
  utils.matcherHint('.toEndWith') +
  '\n\n' +
  'Expected string to end with:\n' +
  `  ${utils.printExpected(suffix)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(string)}`;

function toEndWith(string, suffix) {
  const pass = (0, _predicate.default)(suffix, string);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, suffix, string),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, suffix, string),
  };
}
