'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.default = void 0;

var _jestDiff = require('jest-diff');

const removeWhitespace = str => str.trim().replace(/\s+/g, '');

var _default = (received, expected) => {
  /* calculate diff of received w.r.t expected string */
  const diff = (0, _jestDiff.diffStringsRaw)(expected, received);
  /* mark every diff result object with value of white-space as DIFF_EQUAL */

  diff.forEach(diffObject => {
    if (diffObject[1].trim()) return;
    diffObject[0] = _jestDiff.DIFF_EQUAL;
  });
  /* determine whether strings are equal after removing white-space */

  const pass = removeWhitespace(received) === removeWhitespace(expected);
  return {
    diff,
    pass,
  };
};

exports.default = _default;
