'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toIncludeRepeated = toIncludeRepeated;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, actual, expected, occurrences) => () =>
  utils.matcherHint('.not.toIncludeRepeated') +
  '\n\n' +
  `Expected string to not include repeated ${occurrences} times:\n` +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

const failMessage = (utils, actual, expected, occurrences) => () =>
  utils.matcherHint('.toIncludeRepeated') +
  '\n\n' +
  `Expected string to include repeated ${occurrences} times:\n` +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

function toIncludeRepeated(actual, expected, occurrences) {
  const pass = (0, _predicate.default)(actual, expected, occurrences);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, actual, expected, occurrences),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, actual, expected, occurrences),
  };
}
