'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toIncludeSameMembers = toIncludeSameMembers;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.not.toIncludeSameMembers') +
  '\n\n' +
  'Expected list to not exactly match the members of:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

const failMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.toIncludeSameMembers') +
  '\n\n' +
  'Expected list to have the following members and no more:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

function toIncludeSameMembers(actual, expected) {
  const pass = (0, _predicate.default)(this.equals, actual, expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, actual, expected),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, actual, expected),
  };
}
