'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toReject = toReject;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = utils => () =>
  utils.matcherHint('.not.toReject', 'received', '') + '\n\n' + 'Expected promise to resolve, however it rejected.\n';

const failMessage = utils => () =>
  utils.matcherHint('.toReject', 'received', '') + '\n\n' + 'Expected promise to reject, however it resolved.\n';

async function toReject(promise) {
  const pass = await (0, _predicate.default)(promise);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils),
  };
}
