'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toSatisfyAny = toSatisfyAny;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.not.toSatisfyAny') +
  '\n\n' +
  'Expected array to not satisfy predicate for any value:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

const failMessage = (utils, actual, expected) => () =>
  utils.matcherHint('.toSatisfyAny') +
  '\n\n' +
  'Expected array to satisfy predicate for any values:\n' +
  `  ${utils.printExpected(expected)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(actual)}`;

function toSatisfyAny(actual, expected) {
  const pass = (0, _predicate.default)(actual, expected);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, actual, expected),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, actual, expected),
  };
}
