'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});
exports.toStartWith = toStartWith;

var _predicate = _interopRequireDefault(require('./predicate'));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

const passMessage = (utils, prefix, string) => () =>
  utils.matcherHint('.not.toStartWith') +
  '\n\n' +
  'Expected string to not start with:\n' +
  `  ${utils.printExpected(prefix)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(string)}`;

const failMessage = (utils, prefix, string) => () =>
  utils.matcherHint('.toStartWith') +
  '\n\n' +
  'Expected string to start with:\n' +
  `  ${utils.printExpected(prefix)}\n` +
  'Received:\n' +
  `  ${utils.printReceived(string)}`;

function toStartWith(string, prefix) {
  const pass = (0, _predicate.default)(prefix, string);

  if (pass) {
    return {
      pass: true,
      message: passMessage(this.utils, prefix, string),
    };
  }

  return {
    pass: false,
    message: failMessage(this.utils, prefix, string),
  };
}
